CVE-2000-1102
CVSS5.0
发布时间 :2001-01-09 00:00:00
修订时间 :2008-09-05 16:22:39
NMCOS    

[原文]PTlink IRCD 3.5.3 and PTlink Services 1.8.1 allow remote attackers to cause a denial of service (server crash) via "mode +owgscfxeb" and "oper" commands.


[CNNVD]PTlink IRCD和Services服务拒绝漏洞(CNNVD-200101-049)

        PTlink IRCD 3.5.3版本和PTlink Services 1.8.1版本存在漏洞。远程攻击者可以借助"mode +owgscfxeb"和"oper"命令导致服务拒绝(服务器崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ptlink:ptlink_ircd:3.5.3
cpe:/a:ptlink:ptlink_irc_services:1.8.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1102
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1102
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200101-049
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2008
(VENDOR_ADVISORY)  BID  2008
http://www.securityfocus.com/archive/1/147115
(VENDOR_ADVISORY)  BUGTRAQ  20001126 Vulnerablity in PTlink3.5.3ircd + PTlink.Services.1.8.1...

- 漏洞信息

PTlink IRCD和Services服务拒绝漏洞
中危 其他
2001-01-09 00:00:00 2005-10-20 00:00:00
远程  
        PTlink IRCD 3.5.3版本和PTlink Services 1.8.1版本存在漏洞。远程攻击者可以借助"mode +owgscfxeb"和"oper"命令导致服务拒绝(服务器崩溃)。

- 公告与补丁

        A newer release of the PTlink IRCd and Services software packages are available:
        PTlink PTlink IRC Services 1.8.1
        
        PTlink PTlink IRCd 3.5.3
        

- 漏洞信息

11813
PTlink IRCD / Services Malformed Mode DoS
Denial of Service
Loss of Availability

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-11-26 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

PTlink IRCD and Services Denial of Service Vulnerability
Failure to Handle Exceptional Conditions 2008
Yes No
2000-11-23 12:00:00 2009-07-11 03:56:00
This problem was announced on BugTraq by egocentric coder <wildcoyote_db@hotmail.com> on November 26, 2000, and was originally discovered by the PTlink Coders Team.

- 受影响的程序版本

PTlink PTlink IRCd 3.5.3
- FreeBSD FreeBSD 4.2
- OpenBSD OpenBSD 2.8
- RedHat Linux 7.0
- S.u.S.E. Linux 7.0
- Slackware Linux 7.1
- Sun Solaris 8_sparc
PTlink PTlink IRC Services 1.8.1
- FreeBSD FreeBSD 4.2
- OpenBSD OpenBSD 2.8
- RedHat Linux 7.0
- S.u.S.E. Linux 7.0
- Slackware Linux 7.1
- Sun Solaris 8_sparc

- 漏洞讨论

PTlink IRCd and Services are freely available IRC Software packages for hosting IRC servers, and are maintained by the PTlink Coders Team. A condition exists that could allow the Denial of Service to legitimate users.

The problem exists in the handling of modes by both the IRC Services and IRC daemon. A user connected to an IRC server running the PTlink IRCd and Services can set themselves mode +owgscfxeb, then issue an operator command of any type which will result in the crashing of the IRC Services. The IRCd is then vulnerable to Denial of Service by issuing an IRC Operator command of any type, and a user setting themselves mode +owgscfxeb following the Operator command. This vulnerability makes it possible for a malicious user to crash the IRC Services and daemon, creating a total Denial of Service.

- 漏洞利用

See discussion.

- 解决方案

A newer release of the PTlink IRCd and Services software packages are available:


PTlink PTlink IRC Services 1.8.1

PTlink PTlink IRCd 3.5.3

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站